#delimit cr
cap log close
clear all
set mem 400m
set more off

cd c:\temp

log  using c:\temp\runtable3and4.log,replace

global contrvar="ownership"

capture program drop geninter
program define geninter
capture drop Family Holding Public
gen Family=($contrvar==1)*$indiceta
gen Holding=($contrvar==2)*$indiceta
gen Public=($contrvar==4)*$indiceta
gen Foreign=(($contrvar==3|$contrvar==5))*$indiceta
end

global den="5all"

global peso="[w=pesoinv]"


global d="dumfam dumist_foreign   dumpubb "

global thereg="tfp"

u OLSdata,clear                   
global indiceta="old$den"
capture drop Shentrenched
gen Shentrenched=$indiceta  

geninter

global mainreg="Shentrenched  Foreign Family  Public "


reg $thereg $mainreg $d   $controls   $peso,$clus
reg $thereg $mainreg $d   $controls  ,$clus

capture drop Family Holding  Public Foreign
global indiceta="old7all"
replace Shentrenched=$indiceta

geninter
reg $thereg $mainreg $d  $controls   $peso,$clus

capture drop Family Holding  Public Foreign
global indiceta="old3all"
replace Shentrenched=$indiceta

geninter
reg $thereg $mainreg $d  $controls   $peso,$clus

******************** ROA ***************************************
capture drop Family Holding  Public Foreign Shentrenched
global indiceta="old5all"
gen Shentrenched=$indiceta  

geninter


global thereg="roa"

reg $thereg $mainreg $d   $controls   $peso,$clus

reg $thereg $mainreg $d   $controls  ,$clus

capture drop Family Holding  Public Foreign
global indiceta="old7all"
replace Shentrenched=$indiceta

geninter
reg $thereg $mainreg $d  $controls   $peso,$clus

capture drop Family Holding  Public Foreign
global indiceta="old3all"
replace Shentrenched=$indiceta

geninter
reg $thereg $mainreg $d  $controls   $peso,$clus
log close


